image: debian:buster-slim

pages:
  stage: deploy
  script:
    - echo "Installing R and markdown"
    - apt-get update
    - apt-get -y install r-base pandoc
    - R -e 'install.packages("rmarkdown", dep = TRUE)'
    - R -e 'rmarkdown::render_site()'
    - mv _site public
  artifacts:
    paths:
      - public